#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-certbot
Version		:	2.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	A free, automated certificate authority client

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://pypi.org/project/certbot/#files

Source0		:	%{sname}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-attrs
BuildRequires	:	python-distro
BuildRequires	:	python-py
BuildRequires	:	python3-acme
BuildRequires	:	python-build
BuildRequires	:	python3-certifi
BuildRequires	:	python3-cffi
BuildRequires	:	python3-charset-normalizer
BuildRequires	:	python3-ConfigArgParse
BuildRequires	:	python3-configobj
BuildRequires	:	python3-cryptography
BuildRequires	:	python3-idna
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-josepy
BuildRequires	:	python-packaging
BuildRequires	:	python3-parsedatetime
BuildRequires	:	python3-pluggy
BuildRequires	:	python-pep517
BuildRequires	:	python3-pycparser
BuildRequires	:	python3-pyOpenSSL
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-pytest
BuildRequires	:	python3-pytz
BuildRequires	:	python3-requests
BuildRequires	:	python3-requests-toolbelt
BuildRequires	:	python3-pyRFC3339
BuildRequires	:	python3-tomli
BuildRequires	:	python3-urllib3
BuildRequires	:	python-wheel
BuildRequires	:	python3-zope-event
BuildRequires	:	python3-zope-hookable
BuildRequires	:	python3-zope-interface
BuildRequires	:	python3-zope-component

Requires	:	cronie
Requires	:	logrotate
Requires	:	%{__python}
Requires	:	python-augeas
Requires	:	python-distro
Requires	:	python3-acme
Requires	:	python3-certifi
Requires	:	python3-cffi
Requires	:	python3-charset-normalizer
Requires	:	python3-configobj
Requires	:	python3-ConfigArgParse
Requires	:	python3-cryptography
Requires	:	python3-idna
Requires	:	python3-josepy
Requires	:	python3-parsedatetime
Requires	:	python3-pycparser
Requires	:	python3-pyOpenSSL
Requires	:	python3-pyRFC3339 
Requires	:	python3-pytz
Requires	:	python3-requests
Requires	:	python3-requests-toolbelt
Requires	:	python3-setuptools
Requires	:	python3-six
Requires	:	python3-urllib3
Requires	:	python3-zope-component
Requires	:	python3-zope-event
Requires	:	python3-zope-hookable
Requires	:	python3-zope-interface

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
'%{name}' is a free, automated certificate authority
that aims to lower the barriers to entry for encrypting
all HTTP traffic on the internet.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%config %{_sysconfdir}/cron.d/%{sname}.cron
%config %{_sysconfdir}/logrotate.d/%{sname}.lr
%{_bindir}/%{sname}
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/_internal/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_internal/*.py
%{python3_sitelib}/%{sname}/_internal/cli/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_internal/cli/*.py
%{python3_sitelib}/%{sname}/_internal/display/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_internal/display/*.py
%{python3_sitelib}/%{sname}/_internal/plugins/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_internal/plugins/*.py
%{python3_sitelib}/%{sname}/compat/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/compat/*.py
%{python3_sitelib}/%{sname}/display/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/display/*.py
%{python3_sitelib}/%{sname}/plugins/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/plugins/*.py
%{python3_sitelib}/%{sname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tests/testdata/README
%{python3_sitelib}/%{sname}/tests/testdata/sample-archive-ec/*.pem
%{python3_sitelib}/%{sname}/tests/testdata/sample-archive/*.pem
%{python3_sitelib}/%{sname}/tests/testdata/os-release
%{python3_sitelib}/%{sname}/tests/testdata/webrootconftest.ini
%{python3_sitelib}/%{sname}/tests/testdata/*.der
%{python3_sitelib}/%{sname}/tests/testdata/*.conf
%{python3_sitelib}/%{sname}/tests/testdata/*.pem
%{python3_sitelib}/%{sname}/tests/testdata/cli.ini
%{python3_sitelib}/%{sname}/tests/*.py
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/ssl-dhparams.pem
%{python3_sitelib}/%{sname}-%{version}*.egg-info/
#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

# nuke setuptools from orbit ^W install_requires
sed -i							\
  -e '/setuptools>=/d'					\
  setup.py
#get distribution specific addon file
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	-m pytest

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\

%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/logrotate.d		\
	%{buildroot}%{_sysconfdir}/cron.d		\


%{__cp} -a						\
	%{name}-ok_addon/certbot.cron			\
	%{buildroot}%{_sysconfdir}/cron.d		\

%{__cp} -a						\
	%{name}-ok_addon/certbot.lr			\
	%{buildroot}%{_sysconfdir}/logrotate.d		\

#-----------------------------------------------------------------------------
%changelog
